using OpenTK.Mathematics;

namespace Updater;

public static class UpdaterTools
{
    public static Color4 ToColor4(this ConfigColor color)
    {
        return new(color.R, color.G, color.B, color.A);
    }

    public static int Scale(this ConfigFile c, int value)
    {
        return (int)(value * c.Format.Scale);
    }
}